GDB (xrefs)

Public Attributes | List of all members
piece_closure Struct Reference

## Public Attributes
int | refc = 0
struct dwarf2_per_cu_data * | per_cu = NULL
std::vector< dwarf_expr_piece > | pieces
struct frame_id | frame_id

## Detailed Description

Definition at line 1479 of file dwarf2loc.c.

## Member Data Documentation

## ◆ frame_id

struct frame_id piece_closure::frame_id

Definition at line 1492 of file dwarf2loc.c.

Referenced by allocate_piece_closure(), and rw_pieced_value().

## ◆ per_cu

struct dwarf2_per_cu_data* piece_closure::per_cu = NULL

Definition at line 1485 of file dwarf2loc.c.

Referenced by allocate_piece_closure(), coerce_pieced_ref(), dwarf2_evaluate_loc_desc_full(), indirect_pieced_value(), and rw_pieced_value().

## ◆ pieces

std::vector<dwarf_expr_piece> piece_closure::pieces

Definition at line 1488 of file dwarf2loc.c.

Referenced by allocate_piece_closure(), check_pieced_synthetic_pointer(), coerce_pieced_ref(), free_pieced_value_closure(), indirect_pieced_value(), and rw_pieced_value().

## ◆ refc

int piece_closure::refc = 0

Definition at line 1482 of file dwarf2loc.c.

Referenced by allocate_piece_closure(), copy_pieced_value_closure(), and free_pieced_value_closure().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2loc.c